Skip to main content

Update project

PATCH
/projects

Updates only the project name and description; task activity is stored separately.

Contract

Parameter
Value
Sectionprojects
AuthenticationCookieAuth
Consumesapplication/json
Producesapplication/json

Parameters

1 parameter

Name
Location
Required
Type
Description
requestbodyyesobjectProject ID, name, and description
  • {
      "ID": 0,
      "description": "<string>",
      "name": "<string>"
    }

Responses

6 responses

Status
Description
Type
200
Project updatedno body
400
Invalid request bodyobject
401
Unauthorizedobject
404
Project not foundobject
409
Name is already in useobject
500
Internal server errorobject
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }